# Yahoo! UI Library

### yuitest 2.8.1

Yahoo! UI Library > yuitest > YAHOO.tool.TestSuite
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.tool.TestSuite

A test suite that can contain a collection of TestCase and TestSuite objects.

### Constructor

YAHOO.tool.TestSuite `( data )`

Parameters:
  `data <String||Object>` The name of the test suite or an object containing a name property as well as setUp and tearDown methods.

### Properties

#### name - `String`

The name of the test suite.

### Methods

#### add

`Void add ( testObject )`
Adds a test suite or test case to the test suite.

Parameters:
  `testObject <YAHOO.tool.TestSuite||YAHOO.tool.TestCase>` The test suite or test case to add.

#### setUp

`Void setUp ( )`
Function to run before each test is executed.

#### tearDown

`Void tearDown ( )`
Function to run after each test is executed.

Copyright © 2010 Yahoo! Inc. All rights reserved.